<template>
  <div class="events pa-6">
    <h1 class="mb-4" style="text-decoration: underline">Events</h1>
    <v-row>
      <v-col>
        <v-sheet height="400">
          <v-calendar
              ref="calendar"
              :now="ReturnDate()"
              :value="ReturnDate()"
              :events="events"
              color="primary"
              type="week"
          ></v-calendar>
        </v-sheet>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "Events",
  data: () => ({
    events: [
      {
        name: 'Testing',
        start: '2021-03-09 21:00',
        end: '2021-03-09 23:00',
      },
    ],
  }),
  mounted() {
    this.$refs.calendar.scrollToTime('08:00')
  },
  methods: {
    ReturnDate(){
      let year = new Date().getFullYear();
      let month = new Date().getMonth();
      let date = new Date().getDate();
      date = (date < 10) ? '0' + date : date;
      month = (month < 10) ? '0' + (month+1) : (month+1);
      return year+ "-" + month + "-" +date;
    }
  }
}
</script>
